# Uses of Class
org.springframework.beans.factory.parsing.ParseState

Packages that use ParseState
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.

## Uses of ParseState in org.springframework.beans.factory.parsing

Methods in org.springframework.beans.factory.parsing that return ParseState
Modifier and Type
Method
Description
`ParseState`
Problem.`getParseState()`
Get the `ParseState` at the time of the error (may be `null`).
`ParseState`
ParseState.`snapshot()`
Create a new instance of `ParseState` which is an independent snapshot of this instance.
Methods in org.springframework.beans.factory.parsing with parameters of type ParseState
Modifier and Type
Method
Description
`void`
ReaderContext.`error(String message, Object source, ParseState parseState)`
Raise a regular error.
`void`
ReaderContext.`error(String message, Object source, ParseState parseState, Throwable cause)`
Raise a regular error.
`void`
ReaderContext.`fatal(String message, Object source, ParseState parseState)`
Raise a fatal error.
`void`
ReaderContext.`fatal(String message, Object source, ParseState parseState, Throwable cause)`
Raise a fatal error.
`void`
ReaderContext.`warning(String message, Object source, ParseState parseState)`
Raise a non-critical warning.
`void`
ReaderContext.`warning(String message, Object source, ParseState parseState, Throwable cause)`
Raise a non-critical warning.
Constructors in org.springframework.beans.factory.parsing with parameters of type ParseState
Modifier
Constructor
Description
``
`Problem(String message, Location location, ParseState parseState)`
Create a new instance of the `Problem` class.
``
`Problem(String message, Location location, ParseState parseState, Throwable rootCause)`
Create a new instance of the `Problem` class.